Summary: SUN SCA6000 kernel driver
Name: sun-sca6000-drv
Version: 1.1u2
Release: 3%{?dist}
License: Sun Commercial
Url: http://docs.sun.com/app/docs/prod/ssl.accel
# yes, Sun shipped two different sources for two different architectures
Source: sun-sca6000-drv-1.1-4-%{_arch}.tar.gz
Patch1: sun-sca6000-drv-kernver.patch
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: openCryptoki-devel sun-sca6000 sun-sca6000-libs-devel
BuildRequires: kernel-devel

%description
Sun SCA6000 kernel module

%prep
%setup -q -n sun-sca6000-drvsrc-1.1-4
%patch1 -p1 

%build
make KERNEL_VER=`rpm -q kernel-devel| sed "s/kernel-devel-//"` %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} KERNEL_VER=`rpm -q kernel-devel| sed "s/kernel-devel-//"` %{?_smp_mflags} install

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
/opt/sun/sca6000/bin/drv/*.ko
%doc README 

%post -p /sbin/depmod

%postun -p /sbin/depmod

%changelog
* Fri Oct 09 2009 Paul Wouters <paul@xelerance.com> - 1.1u2-3
- Initial package

